package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.vo.EvaluasiJabatanVO;

public interface EvaluasiJabatanService {

	Map<String,Object> saveEvaluasiJabatan(EvaluasiJabatanVO vo);

	Map<String, Object> saveEvaluasiJabatan(List<EvaluasiJabatanVO> vo);

	Map<String, Object> findEvaluasiJabatan(Integer tahun, String bulan, Integer ruangan);

	Map<String, Object> findPegawaiByTahun(Integer tahun);

	Map<String, Object> CountEvaluasi(Integer tahun);

	Map<String, Object> findPegawaiByTahun(Integer tahun, Integer idPegawai);

	Map<String, Object> hitungPoinEvaluasi(EvaluasiJabatanVO vo);
	
	Map<String, Object> findEvaluasiJabatanTahunBulan(Integer tahun, String bulan);
	
	Map<String, Object> findEvaluasiJabatanTahun(Integer tahun);
	
	List<Map<String, Object>> findActiveEvaluasiJabatan();
	
	List<Map<String, Object>> findAllEvaluasiJabatan();
	
}
